#grid-container.core-report {

  #title-bar {
    padding: 10px;
    font-weight: 500;
    font-size: x-large;
    border-bottom: black 2px solid;
  }

  #header-content {
    font-weight: bold;
    color: white;
    border-bottom: black 1px solid;
  }

  .hci-grid-header:nth-child(odd),
  .hci-grid-header.reverse:nth-child(even) {
    background-color: #3d7a99;
  }

  .hci-grid-header:nth-child(even),
  .hci-grid-header.reverse:nth-child(odd) {
    background-color: #005480;
  }

  .hci-grid-row {
    width: 100%;
    height: 45px;
  }

  .hci-grid-row .hci-grid-cell:nth-child(odd),
  .hci-grid-row .hci-grid-cell.reverse:nth-child(even) {
    background-color: #ffffff;
  }

  .hci-grid-row .hci-grid-cell:nth-child(even),
  .hci-grid-row .hci-grid-cell.reverse:nth-child(odd) {
    background-color: #e6f0f5;
  }

  .hci-grid-row.odd .hci-grid-cell:nth-child(odd),
  .hci-grid-row.odd .hci-grid-cell.reverse:nth-child(even) {
    background-color: #e6f0f5;
  }

  .hci-grid-row.odd .hci-grid-cell:nth-child(even),
  .hci-grid-row.odd .hci-grid-cell.reverse:nth-child(odd) {
    background-color: #d1e2eb;
  }

  .hci-grid-cell {
    display: flex;
    align-items: center;
  }

  .hci-grid-cell.selected.top.left {
    border-top-left-radius: 10px;
  }

  .hci-grid-cell.selected.top.right {
    border-top-right-radius: 10px;
  }

  .hci-grid-cell.selected.bottom.left {
    border-bottom-left-radius: 10px;
  }

  .hci-grid-cell.selected.bottom.right {
    border-bottom-right-radius: 10px;
  }

  .hci-grid-cell.selected.left {
    border-left: #ffee00 2px solid;
  }

  .hci-grid-cell.selected.right {
    border-right: #ffee00 2px solid;
  }

  .hci-grid-cell.selected.top {
    border-top: #ffee00 2px solid;
  }

  .hci-grid-cell.selected.bottom {
    border-bottom: #ffee00 2px solid;
  }

  .hci-grid-cell.selected {
    background-color: rgba(255, 255, 200, 0.4);
  }

  .hci-grid-row.selected .hci-grid-cell:nth-child(even) {
    background-color: #61f0f2;
  }

  .hci-grid-row.selected .hci-grid-cell:nth-child(odd) {
    background-color: #66ffff;
  }

  .hci-grid-row.odd.selected .hci-grid-cell:nth-child(even) {
    background-color: #68e1eb;
  }

  .hci-grid-row.odd.selected .hci-grid-cell:nth-child(odd) {
    background-color: #61f0f2;
  }

  .ng-invalid {
    color: red;
  }

  .hci-grid-cell.ng-invalid {
    background-color: rgba(255, 0, 0, 0.1);
  }

  .btn-save {
    background-color: lightgreen;
    border-color: green;
    color: black;
  }

  .btn-cancel {
    background-color: lightcoral;
    border-color: red;
    color: black;
  }

  .new-row {
    border: green 1px solid;
    box-shadow: black 0px 4px 16px;
    z-index: 1;
  }

  .sort-icon {
    color: lightgray;
  }

  .sort-icon.primary {
    color: lightgreen;
  }

}

.hci-grid.core-report.column-header-tooltip {
  background-color: black;
  color: white;
  border-radius: 1rem;
  padding: 0.25rem 0.5rem;
}

.hci-grid-header.core-report.drag-n-drop {
  background-color: #3d7a99;
  font-weight: bold;
  color: white;
  border: black 1px solid;
}
